org.apache.pdfbox.pdmodel.graphics.state

## Class PDTextState

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.state.PDTextState

All Implemented Interfaces:
  Cloneable

    public class PDTextState
    extends Object
    implements Cloneable

This class will hold the current state of the text parameters when executing a content stream.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`PDTextState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PDTextState` `clone()`
`float` `getCharacterSpacing()` Get the value of the characterSpacing.
`PDFont` `getFont()` Get the value of the font.
`float` `getFontSize()` Get the value of the fontSize.
`float` `getHorizontalScaling()` Get the value of the horizontalScaling.
`boolean` `getKnockoutFlag()` Get the value of the knockout.
`float` `getLeading()` Get the value of the leading.
`RenderingMode` `getRenderingMode()` Get the value of the renderingMode.
`float` `getRise()` Get the value of the rise.
`float` `getWordSpacing()` Get the value of the wordSpacing.
`void` `setCharacterSpacing(float value)` Set the value of the characterSpacing.
`void` `setFont(PDFont value)` Set the value of the font.
`void` `setFontSize(float value)` Set the value of the fontSize.
`void` `setHorizontalScaling(float value)` Set the value of the horizontalScaling.
`void` `setKnockoutFlag(boolean value)` Set the value of the knockout.
`void` `setLeading(float value)` Set the value of the leading.
`void` `setRenderingMode(RenderingMode renderingMode)` Set the value of the renderingMode.
`void` `setRise(float value)` Set the value of the rise.
`void` `setWordSpacing(float value)` Set the value of the wordSpacing.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDTextState

    public PDTextState()

### Method Detail

#### getCharacterSpacing

    public float getCharacterSpacing()

Get the value of the characterSpacing.

Returns:
  The current characterSpacing.

#### setCharacterSpacing

    public void setCharacterSpacing(float value)

Set the value of the characterSpacing.

Parameters:
  `value` - The characterSpacing.

#### getWordSpacing

    public float getWordSpacing()

Get the value of the wordSpacing.

Returns:
  The wordSpacing.

#### setWordSpacing

    public void setWordSpacing(float value)

Set the value of the wordSpacing.

Parameters:
  `value` - The wordSpacing.

#### getHorizontalScaling

    public float getHorizontalScaling()

Get the value of the horizontalScaling. The default is 100. This value is the percentage value 0-100 and not 0-1. So for mathematical operations you will probably need to divide by 100 first.

Returns:
  The horizontalScaling.

#### setHorizontalScaling

    public void setHorizontalScaling(float value)

Set the value of the horizontalScaling.

Parameters:
  `value` - The horizontalScaling.

#### getLeading

    public float getLeading()

Get the value of the leading.

Returns:
  The leading.

#### setLeading

    public void setLeading(float value)

Set the value of the leading.

Parameters:
  `value` - The leading.

#### getFont

    public PDFont getFont()

Get the value of the font.

Returns:
  The font.

#### setFont

    public void setFont(PDFont value)

Set the value of the font.

Parameters:
  `value` - The font.

#### getFontSize

    public float getFontSize()

Get the value of the fontSize.

Returns:
  The fontSize.

#### setFontSize

    public void setFontSize(float value)

Set the value of the fontSize.

Parameters:
  `value` - The fontSize.

#### getRenderingMode

    public RenderingMode getRenderingMode()

Get the value of the renderingMode.

Returns:
  The renderingMode.

#### setRenderingMode

    public void setRenderingMode(RenderingMode renderingMode)

Set the value of the renderingMode.

Parameters:
  `renderingMode` - The renderingMode.

#### getRise

    public float getRise()

Get the value of the rise.

Returns:
  The rise.

#### setRise

    public void setRise(float value)

Set the value of the rise.

Parameters:
  `value` - The rise.

#### getKnockoutFlag

    public boolean getKnockoutFlag()

Get the value of the knockout.

Returns:
  The knockout.

#### setKnockoutFlag

    public void setKnockoutFlag(boolean value)

Set the value of the knockout.

Parameters:
  `value` - The knockout.

#### clone

    public PDTextState clone()

Overrides:
  `clone` in class `Object`